<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth.login');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/erc/recibos/index', 'ReciboController@index')->name('erc.recibos.index');

Route::get('/erc/recibos/cartera', 'ReciboController@cartera')->name('erc.recibos.cartera');

Route::get('/erc/recibos/cartera/contabilizar/{recibo}', 'ReciboController@contabilizar')->name('erc.recibos.contabilizar');

Route::get('/erc/recibos/show/{recibo}', 'ReciboController@show')->name('erc.recibos.show');

Route::get('/erc/recibos/create', 'ReciboController@create')->name('erc.recibos.create');

Route::post('/erc/recibos/store', 'ReciboController@store')->name('erc.recibos.store');

Route::get('/erc/recibos/edit/{recibo}', 'ReciboController@edit')->name('erc.recibos.edit');

Route::put('/erc/recibos/update/{recibo}', 'ReciboController@update')->name('erc.recibos.update');

//download recibo de caja pdf format
Route::get('/erc/recibos/download/{recibo}', function ($recibo) {
	$recibo = App\Recibo::find($recibo);
	$recibo_centro = $recibo->centroOperacion;
	$recibo_concepto = $recibo->concepto;
	$recibo_pago = $recibo->pagos;

	$usuario_imprime = \Auth::user()->email;
	$pdf = PDF::loadView('recibos.download', ['recibo' => $recibo, 'usuario' => $usuario_imprime]);
	return $pdf->stream('erc_'.$recibo->centroOperacion->centrooperacion_codigo.'_'.$recibo->recibo_consecutivo_centro.'.pdf');
});

Route::get('/erc/recibos/void/{recibo}', 'ReciboController@void')->name('erc.recibos.void');

Route::get('/erc/recibos/planetxt/txt', 'ReciboController@planetxt')->name('erc.recibos.planetxt');

/*
* Usuarios
*
*/
Route::get('/erc/usuarios/profile/{usuario}', 'UsuarioController@profile')->name('erc.usuarios.profile');

Route::get('/erc/usuarios/index', 'UsuarioController@index')->name('erc.usuarios.index');
Route::get('/erc/usuarios/create', 'UsuarioController@create')->name('erc.usuarios.create');
Route::get('/erc/usuarios/show/{usuario}', 'UsuarioController@show')->name('erc.usuarios.show');
Route::post('/erc/usuarios/store/{cuenta}', 'UsuarioController@store')->name('erc.usuarios.store');
Route::get('/erc/usuarios/edit/{usuario}', 'UsuarioController@edit')->name('erc.usuarios.edit');
Route::put('/erc/usuarios/update/{usuario}', 'UsuarioController@update')->name('erc.usuarios.update');

Route::get('/erc/usuarios/enable/{usuario}', 'UsuarioController@enable')->name('erc.usuarios.enable');
Route::get('/erc/usuarios/disable/{usuario}', 'UsuarioController@disable')->name('erc.usuarios.disable');

Route::post('/erc/usuarios/reset/{usuario}', 'UsuarioController@reset')->name('erc.usuarios.reset');

Route::put('/erc/usuarios/signature/{usuario}', 'UsuarioController@signature')->name('erc.usuarios.signature');
